# Created by pyp2rpm-3.3.2
%global pypi_name zope-testing

Name:           python-%{pypi_name}
Version:        4.7
Release:        %mkrel 3
Summary:        Zope testing helpers
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.testing
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/zope.testing-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This package provides a number of testing frameworks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This package provides a number of testing frameworks.

%prep
%autosetup -n zope.testing-%{version}

# Remove bundled egg-info
rm -rf zope.testing.egg-info

%build
%py3_build

%install
%py3_install

# we don't need these
find %{buildroot} -name "*.pth" -delete

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/zope/testing/
%{python3_sitelib}/zope.testing-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 4.7-3.mga8
+ Revision: 1534629
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.7-2.mga8
+ Revision: 1449624
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 4.7-1.mga8
+ Revision: 1432227
- imported package python-zope-testing

